@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  padding: 1rem 2rem;
  position: sticky;
  top: 0;
  z-index: 1000; /* Ensures the navbar stays above other content */
}

.navbar-brand {
  color: #205c61;
  font-size: 1.5rem;
  font-weight: 600;
}

.navbar-nav {
  list-style: none;
  display: flex;
  gap: 3rem;
  color: #205c61;
  font-weight: 600;
}

.nav-item {
  position: relative;
}

.nav-link {
  color: gray;
  text-decoration: none;
  transition: background-color 0.3s, color 0.3s;
}

.nav-link:hover {
  color: #205c61;
  border-radius: 5px;
  opacity: 0.9;
}

.home {
  min-height: 100vh;
  background-color: #f6f6f2;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.home-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 80%;
  margin-top: 100px;
  margin-bottom: 100px;
}

.home .profile-image {
  height: 250px;
  width: 220px;
  border-radius: 50%;
  border: 5px solid #e6e7e8;
  background-color: #c2c4c4;
}

.home .name {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  font-weight: 1000;
  color: #205c61;
  margin: 5px;
  font-size: 35px;
}

.social-media ul {
  display: flex;
  width: 300px;
  justify-content: space-evenly;
}

.social-media ul li {
  position: relative;
  height: 50px;
  width: 50px;
  background-color: #205c61;
  border-radius: 50%;
  border: 5px solid #bfbfbf;
  cursor: pointer;
}

.social-media ul li a {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #bfbfbf;
}

.home-content .btn-resume {
  position: relative;
  padding: 20px 50px;
  margin-top: 15px;
  background-color: #205c61;
  outline: none;
  border: 5px solid #e6e7e8;
  color: #bfbfbf;
  font-weight: 1000;
  font-size: 15px;
  border-radius: 25px;
  cursor: pointer;
}

.home-content .btn-resume i {
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.home-content .btn-resume:hover i {
  animation: up-down 1s ease-in-out infinite;
}

.resume-button {
  margin-top: 30px;
  margin-bottom: -60px;
  background-color: #205c61;
  border: none;
  padding: 15px 50px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  color: white;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s, color 0.3s;
}

.resume-button a {
  color: white;
  text-decoration: none;
  font-weight: 500;
  font-size: 19px;
}

.resume-button:hover {
  background-color: white;
  color: #205c61;
  border: 1px solid #205c61;
}

.resume-button:hover a {
  color: #205c61;
}

.about {
  position: relative;
  min-height: 100vh;
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
  background-color: #bfbfbf;
}

.bd {
  background-color: #ccccc1;
}
.about h2 {
  padding-top: 2rem;
}

.about h2,
.skills h2,
.work h2,
.contact h2 {
  position: relative;
  color: #205c61;
}

.about h2::before,
.skills h2::before,
.work h2::before,
.contact h2::before {
  content: "";
  position: absolute;
  height: 2px;
  width: 80%;
  background-color: #205c61;
  left: 0;
  bottom: 0;
}

.about-wrapper {
  display: flex;
  height: 100%;
  width: 100%;
  align-items: center;
  color: #205c61;
}

.left-about {
  height: 100vh;
  width: 40%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-left: 3%;
  flex-direction: column;
}

.openreplay{
    color: #205c61;
    text-decoration: none; /* Removes default underline */
}

.openreplay:hover {
    text-decoration: underline; /* Adds underline on hover */
}
.about-image {
  position: relative;
  width: 35vh;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.about-image .image-border {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  border: 2px solid #205c61;
}

.about-image img {
  position: absolute;
  height: 100%;
  width: 100%;
  border-radius: 10px;
  left: -5%;
  top: -5%;
  border: 2px solid #f6f6f2;
}

.right-about {
  position: relative;
  width: 50%;
  height: 75%;
  margin-left: 15%;
}

.information .info {
  display: flex;
  flex-direction: column;
}

.info-data {
  position: relative;
  display: flex;
  align-items: center;
  margin-top: 20px;
}

.info-data i {
  margin-right: 25px;
}

.exp .info-data p:nth-child(1) {
  font-weight: 1000;
}

.skills {
  min-height: 100vh;
  background-color: #f6f6f2;
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
  color: #205c61;
}

.technologies {
  display: flex;
  width: 100%;
  height: 80%;
  font-size: 15px;
  font-weight: 1000;
}

.technologies p {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.technologies .frontend,
.technologies .backend {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.frontend-data,
.backend-data {
  width: 70%;
  height: 100%;
}

.frontend-tech,
.backend-tech {
  width: 100%;
}

.frontend-tech div,
.backend-tech div {
  margin-top: 20px;
  width: 100%;
}

.frontend-tech div div,
.backend-tech div div {
  position: relative;
  width: 90%;
  height: 10px;
  border-radius: 20px;
  background-color: #bfbfbf;
  overflow: hidden;
}

.frontend-tech div:nth-child(1) div::before,
.frontend-tech div:nth-child(3) div::before,
.backend-tech div:nth-child(1) div::before,
.backend-tech div:nth-child(2) div::before,
.backend-tech div:nth-child(5) div::before {
  content: "";
  position: absolute;
  width: 80%;
  height: 100%;
  background-color: #388087;
  border-radius: 20px;
}

.frontend-tech div:nth-child(2) div::before,
.backend-tech div:nth-child(3) div::before,
.backend-tech div:nth-child(4) div::before {
  content: "";
  position: absolute;
  width: 70%;
  height: 100%;
  background-color: #388087;
  border-radius: 20px;
}

.contact {
  min-height: 100vh;
  background-color: #f6f6f2;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
}

.contact p {
  font-size: 17px;
  font-weight: 500;
  margin-top: -40px;
  color: #333;
}

.contact-form {
  width: 80%;
  display: flex;
  flex-direction: row;
  color: #f6f6f2;
  padding: 80px 20px;
  background-color: #205c61;
  border-radius: 5px;
}

.input-details {
  display: flex;
  flex-direction: column;
  padding: 30px;
  width: 50%;
}

.input-details .input-container {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
}

input[type="text"] {
  background: none;
  border: none;
  outline: none;
  padding: 10px;
  color: #f6f6f2;
  border-bottom: 1px solid #f6f6f2;
}

.input-message {
  width: 50%;
  padding: 10px;
  border-left: 1px solid #f6f6f2;
}

.input-message textarea {
  width: 100%;
  height: calc(100% - 40px);
  background: none;
  outline: none;
  border: none;
  resize: none;
  color: #f6f6f2;
}

.input-message button {
  width: 100%;
  padding: 10px 20px;
  background-color: #f6f6f2;
  color: #205c61;
  font-weight: 800;
  outline: none;
  border: none;
  border-radius: 25px;
  cursor: pointer;
}

.input-message button i {
  margin-right: 10px;
  transition: 0.5s linear;
}

.input-message button:hover i {
  transition: 0.5s linear;
  margin-right: 5px;
}

.foot {
  text-align: center;
  padding: 3px;
  /* background-color: DarkSalmon; */
  color: #205c61;
}
@media (max-width: 825px) {
  .menu {
    width: 35%;
  }

  .about {
    font-size: 15px;
  }

  .work .recent-work div {
    width: 200px;
    height: 200px;
  }
}

@media (max-width: 660px) {
  .menu {
    width: 40%;
  }

  .right-about {
    margin-left: 10%;
    width: 55%;
  }

  .skills {
    padding: 20px;
  }

  .technologies {
    flex-direction: column;
  }

  .technologies .frontend,
  .technologies .backend {
    width: 100%;
    margin: 50px 0px;
  }

  .contact {
    padding: 20px;
  }

  .contact .contact-form {
    flex-direction: column;
    margin-top: 25px;
  }

  .input-details {
    width: 100%;
  }

  .input-message {
    width: 100%;
    height: 250px;
    padding: 30px;
    border-left: none;
  }
}

@media (max-width: 560px) {
  .about-wrapper {
    flex-direction: column;
    padding: 10px;
  }
  /* .nav-bar p img {
    width: 70%;
  } */

  .left-about {
    text-align: center;
    width: 100%;
    margin-left: 0;
  }

  .right-about {
    width: 100%;
    margin-left: 0;
  }

  .work .recent-work div {
    width: 300px;
    height: 300px;
  }
  .work h2 {
    top: 2rem;
    margin-bottom: 6rem;
  }

  .contact-form {
    width: 90%;
  }

  .contact h2 {
    font-size: 20px;
  }
}

@media (max-width: 420px) {
  .menu {
    width: 100%;
  }

  .right-about {
    font-size: 12px;
  }

  .skills {
    padding: 5px;
  }

  .frontend-tech div div,
  .backend-tech div div {
    height: 6px;
  }

  .work .recent-work div {
    width: 70%;
    height: 70%;
  }
}

@keyframes up-down {
  from {
    top: 60%;
    transform: translateY(-60%);
  }

  to {
    top: 40%;
  }
}
